Package com.orbbec.obsensor

## Enum SampleRate

- java.lang.Object
- - java.lang.Enum<SampleRate>
  - - com.orbbec.obsensor.SampleRate

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<SampleRate>`

    public enum SampleRate
    extends java.lang.Enum<SampleRate>

Enumeration of IMU sample rate values(gyroscope or accelerometer)

### Enum Constant Summary

Enum Constants
`ODR_1_5625_HZ` 1.5625Hz
`ODR_1_KHZ` 1KHz
`ODR_100_HZ` 100Hz
`ODR_12_5_HZ` 12.5Hz
`ODR_16_KHZ` 16KHz
`ODR_2_KHZ` 2KHz
`ODR_200_HZ` 200Hz
`ODR_25_HZ` 25Hz
`ODR_3_125_HZ` 3.125Hz
`ODR_32_KHZ` 32Hz
`ODR_4_KHZ` 4KHz
`ODR_50_HZ` 50Hz
`ODR_500_HZ` 500Hz
`ODR_6_25_HZ` 6.25Hz
`ODR_8_KHZ` 8KHz

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SampleRate` `get​(int value)` Get accelerometer or gyroscope sampling frequency enumeration
`int` `value()` Get the accelerometer or gyroscope sampling frequency enumeration value
`static SampleRate` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SampleRate[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ODR_1_5625_HZ

    public static final SampleRate ODR_1_5625_HZ

1.5625Hz

#### ODR_3_125_HZ

    public static final SampleRate ODR_3_125_HZ

3.125Hz

#### ODR_6_25_HZ

    public static final SampleRate ODR_6_25_HZ

6.25Hz

#### ODR_12_5_HZ

    public static final SampleRate ODR_12_5_HZ

12.5Hz

#### ODR_25_HZ

    public static final SampleRate ODR_25_HZ

25Hz

#### ODR_50_HZ

    public static final SampleRate ODR_50_HZ

50Hz

#### ODR_100_HZ

    public static final SampleRate ODR_100_HZ

100Hz

#### ODR_200_HZ

    public static final SampleRate ODR_200_HZ

200Hz

#### ODR_500_HZ

    public static final SampleRate ODR_500_HZ

500Hz

#### ODR_1_KHZ

    public static final SampleRate ODR_1_KHZ

1KHz

#### ODR_2_KHZ

    public static final SampleRate ODR_2_KHZ

2KHz

#### ODR_4_KHZ

    public static final SampleRate ODR_4_KHZ

4KHz

#### ODR_8_KHZ

    public static final SampleRate ODR_8_KHZ

8KHz

#### ODR_16_KHZ

    public static final SampleRate ODR_16_KHZ

16KHz

#### ODR_32_KHZ

    public static final SampleRate ODR_32_KHZ

32Hz

### Method Detail

#### values

    public static SampleRate[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SampleRate c : SampleRate.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SampleRate valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

Get the accelerometer or gyroscope sampling frequency enumeration value

Returns:
  index value

#### get

    public static SampleRate get​(int value)

Get accelerometer or gyroscope sampling frequency enumeration

Parameters:
  `value` - index value
Returns:
  Accelerometer or gyroscope sampling frequency enumeration